// ====================================================================
// Copyright (C) 2018 - Samuel GOUGEON
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// Zero matrix with DD numbers
//
// Calling Sequence :
// zeros(a)
//
// Arguments :
// a : DD array
//
// Authors :
// Copyright (C) 2018 - Samuel GOUGEON
// last updating : 2018-07-25
// *****************************************************************
function c = %dd_eye(a)
  c = tlist(['dd','hi','lo'], eye(a.hi), zeros(a.hi));
endfunction
