// ====================================================================
// Copyright (C) 2018 - Samuel GOUGEON
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// (Quasi) Pseudorandom QD number generator
//
// Calling Sequence :
// ddrand(m,n)
//
// Arguments :
// m,n : integers
//
// make dll file with Visual C++2010 (renorm)
//
// Authors :
// Copyright (C) 2018 - Samuel GOUGEON
// last updating : 2018-07-25
// *****************************************************************
function c = %dd_rand(a)
    [m,n] = size(a.hi)
    c = ddrand(m, n)
endfunction

