// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
// Copyright (C) 2018 - Samuel GOUGEON
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// LU decomposition
//
// Calling Sequence :
// lu(A)
//
// Arguments :
// A : QD matrix
//
// Return :
// L : (n,n) lower triangular matrix
// U : (n,n) upper triangular matrix
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// Copyright (C) 2018 - Samuel GOUGEON
// last updating : 2018-07-31
// *****************************************************************
function [L,U] = %qd_lu(A)
    [L,U] = ddqd_lu(A)
endfunction
