// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// QD addition (qd + dd)
//
// Calling Sequence :
// a + b
//
// ***need to confirm a,b's size
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 
// *****************************************************************
function c = %qd_a_dd(a,b)
  [s1,e1] = two_sum(a(2),b(2));
  [s2,e2] = two_sum(a(3),b(3));
  [s2,u]    = two_sum(s2,e1);
  
  [t2,e3]   = two_sum(a(4),e2);
  [s3,v]    = two_sum(u,t2);
  
  [t3,e4]    = two_sum(v,e3);
  [s4,e5] = two_sum(a(5),t3);
  s5 = e4+ e5;
  [t1,t2,t3,t4] = renormalize(s1,s2,s3,s4,s5);
  c = tlist(['qd','d'],t1,t2,t3,t4);
endfunction
