// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// QD addition (qd + qd)
//
// Calling Sequence :
// a + b
//
// ***need to confirm a,b's size
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 
// *****************************************************************
function c = %qd_a_qd(a,b)
  [s1,t1] = two_sum(a(2),b(2));
  [s2,t2] = two_sum(a(3),b(3));
  [s3,t3] = two_sum(a(4),b(4));
  [s4,t4] = two_sum(a(5),b(5));
  
  [s2,t1] = two_sum(s2,t1);
  
  [s3,t1,t2] = three_sum(s3,t2,t1);
  [s4,t1] = three_sum2(s4,t3,t1);
  s5 =t1+t2+t4;
  
  [t1,t2,t3,t4] = renormalize(s1,s2,s3,s4,s5);
  c = tlist(['qd','d'],t1,t2,t3,t4);
endfunction
