// ====================================================================
// Copyright (C) 2011 - Tsubasa Saito
// Copyright (C) 2018 - Samuel GOUGEON
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
// ====================================================================

// *****************************************************************
// DD subtraction (double - dd)
//
// Calling Sequence :
// a - b
//
// Subtraction a-b is implemented as the addition a+(-b)
// ***need to confirm a,b's size
//
// Authors :
// Copyright (C) 2011 - Tsubasa Saito
// last updating : 2018-07-25
// *****************************************************************
function c = %s_s_dd(a,b)
    c = %s_a_dd(a, -b)
endfunction

